#PBFORMS Created v1.51
'------------------------------------------------------------------------------
' The first line in this file is a PB/Forms metastatement.
' It should ALWAYS be the first line of the file. Other
' PB/Forms metastatements are placed at the beginning and
' end of "Named Blocks" of code that should be edited
' with PBForms only. Do not manually edit or delete these
' metastatements or PB/Forms will not be able to reread
' the file correctly.  See the PB/Forms documentation for
' more information.
' Named blocks begin like this:    #PBFORMS BEGIN ...
' Named blocks end like this:      #PBFORMS END ...
' Other PB/Forms metastatements such as:
'     #PBFORMS DECLARATIONS
' are used by PB/Forms to insert additional code.
' Feel free to make changes anywhere else in the file.
'------------------------------------------------------------------------------

#COMPILE EXE
#OPTIMIZE SPEED
#REGISTER ALL
#ALIGN 16
#DIM ALL

'------------------------------------------------------------------------------
'   ** Includes **
'------------------------------------------------------------------------------
#PBFORMS Begin Includes
#IF NOT %DEF(%WINAPI)
    #INCLUDE "WIN32API.INC"
#ENDIF
#PBFORMS End Includes
'------------------------------------------------------------------------------

'------------------------------------------------------------------------------
'   ** Constants **
'------------------------------------------------------------------------------
#PBFORMS Begin Constants
%IDD_DLGEJEMPLO      =  101
%IDC_LBLINSTRUCTIONS = 1003
%IDC_BTNCERRAR       = 1002
#PBFORMS End Constants
'------------------------------------------------------------------------------

'------------------------------------------------------------------------------
'   ** Declarations **
'------------------------------------------------------------------------------
DECLARE CALLBACK FUNCTION ShowDLGEJEMPLOProc()
DECLARE FUNCTION ShowDLGEJEMPLO(BYVAL hParent AS DWORD) AS LONG
#PBFORMS Declarations
'------------------------------------------------------------------------------

'------------------------------------------------------------------------------
'   ** Main Application Entry Point **
'------------------------------------------------------------------------------
FUNCTION PBMAIN()
    ShowDLGEJEMPLO %HWND_DESKTOP
END FUNCTION
'------------------------------------------------------------------------------

'------------------------------------------------------------------------------
'   ** CallBacks **
'------------------------------------------------------------------------------
CALLBACK FUNCTION ShowDLGEJEMPLOProc()

    SELECT CASE AS LONG CBMSG
        CASE %WM_INITDIALOG
            ' Initialization handler

        CASE %WM_NCACTIVATE
            STATIC hWndSaveFocus AS DWORD
            IF ISFALSE CBWPARAM THEN
                ' Save control focus
                hWndSaveFocus = GetFocus()
            ELSEIF hWndSaveFocus THEN
                ' Restore control focus
                SetFocus(hWndSaveFocus)
                hWndSaveFocus = 0
            END IF

        CASE %WM_COMMAND
            ' Process control notifications
            SELECT CASE AS LONG CBCTL
                CASE %IDC_BTNCERRAR
                    IF CBCTLMSG = %BN_CLICKED OR CBCTLMSG = 1 THEN
                        DIALOG END CBHNDL, 0
                    END IF

                CASE %IDC_LBLINSTRUCTIONS
            END SELECT
    END SELECT
END FUNCTION
'------------------------------------------------------------------------------

'------------------------------------------------------------------------------
'   ** Dialogs **
'------------------------------------------------------------------------------
FUNCTION ShowDLGEJEMPLO(BYVAL hParent AS DWORD) AS LONG
    LOCAL lRslt AS LONG

#PBFORMS Begin Dialog %IDD_DLGEJEMPLO->->
    LOCAL hDlg  AS DWORD

    DIALOG NEW hParent, "Ejemplo PBForms", 188, 216, 201, 121, TO hDlg
    CONTROL ADD BUTTON, hDlg, %IDC_BTNCERRAR, "&Cerrar", 75, 96, 50, 15, %BS_DEFAULT OR %WS_TABSTOP
    CONTROL ADD LABEL,  hDlg, %IDC_LBLINSTRUCTIONS, "Click en Cerrar para " + _
        "cerrar", 0, 0, 200, 80
#PBFORMS End Dialog

    CONTROL SET TEXT hDlg, %IDC_LBLINSTRUCTIONS, "Bienvenido a PB/Forms"
    DIALOG SHOW MODAL hDlg, CALL ShowDLGEJEMPLOProc TO lRslt

#PBFORMS Begin CleanUp %IDD_DLGEJEMPLO
#PBFORMS End CleanUp

    FUNCTION = lRslt
END FUNCTION
'------------------------------------------------------------------------------